Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNOperation

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNOperation

public class SVNOperation
extends Object

SVNOperation represents the user operation that exposed a conflict.

Since:
  1.3
Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary
`static SVNOperation` | `MERGE` Merge operation.
`static SVNOperation` | `NONE` None.
`static SVNOperation` | `SWITCH` Switch operation.
`static SVNOperation` | `UPDATE` Update operation.

Method Summary
`static SVNOperation` | `fromString(String operation)` Converts a string operation name to an `SVNOperation` object.
`String` | `getName()` Returns the string representation of this object.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UPDATE

    public static final SVNOperation UPDATE

  Update operation.

  Since:
    1.3

### SWITCH

    public static final SVNOperation SWITCH

  Switch operation.

  Since:
    1.3

### MERGE

    public static final SVNOperation MERGE

  Merge operation.

  Since:
    1.3

### NONE

    public static final SVNOperation NONE

  None.

  Since:
    1.3

Method Detail

### fromString

    public static SVNOperation fromString(String operation)

  Converts a string operation name to an `SVNOperation` object.

  Parameters:
    `operation` -
  Returns:
    `SVNOperation` constant or `null`, if no `SVNOperation` constant matches the given name
  Since:
    1.3

### getName

    public String getName()

  Returns the string representation of this object.

  Returns:
    string representation
  Since:
    1.3

### toString

    public String toString()

  Returns the string representation of this object.

  Returns:
    string representation
  Since:
    1.3

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.